Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class MutableCategoryImpl

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.MutableCatalogItemImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.MutableCategoryImpl

public class MutableCategoryImpl
extends MutableCatalogItemImpl
implements MutableCategory

This is the implementation class for all mutable categories contained by the Catalog. This class exposes data accessors and mutators for category data conforming to the Dublin Core Metadata. Refer to the DCM spec for details: Dublin Core Element Set

See Also:
  Serialized Form

Method Summary
`JspInfo` | `getJsp()` Gets the JSP for a category item
`void` | `setJsp(JspInfo jspInfo)` Sets the JSP for a product item
`java.lang.String` | `toString()` Builds a string representation of this object.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.MutableCatalogItemImpl
`addBusinessPolicy, addPropertyValue, addPropertyValueMapped, clearPropertyModifications, getBusinessPolicy, getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getJndiName, getKey, getLanguage, getModificationMap, getModifiedDate, getName, getPkString, getProperties, getProperties, getProperty, getProperty, getProperty, getPropertyAsString, getPropertyAsString, getPropertyDefault, getPropertyNoDefault, getPropertyNoDefault, getPublisher, getRelation, getRights, getSource, getSuccessor, getUniqueId, initPropertyModifications, isPropertyExplicit, isPropertyModified, modifyProperty, removeBusinessPolicy, removeProperties, removeProperty, removeProperty, removePropertyValue, removePropertyValueMapped, removeSuccessor, setContributor, setCoverage, setCreationDate, setCreator, setDescription, setImage, setLanguage, setModifiedDate, setName, setProperty, setProperty, setPublisher, setRelation, setRights, setSource, setSuccessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getJsp

    public JspInfo getJsp()

  Gets the JSP for a category item

  Returns:
    the JspInfo object for the category

### setJsp

    public void setJsp(JspInfo jspInfo)

  Sets the JSP for a product item
  Specified by:
    setJsp in interface MutableCategory

  Parameters:
    `jspInfo` - the new JspInfo object for the category

### toString

    public java.lang.String toString()

  Builds a string representation of this object.

  Returns:
    the string
  Overrides:
    toString in class MutableCatalogItemImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved